window.Gleam.initSearch([{"doc":"dedent","title":"dedent","content":"# dedent\n\nRemove shared indentation from a string.\n\n[![Package Version](https://img.shields.io/hexpm/v/dedent)](https://hex.pm/packages/dedent)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/dedent/)\n\n```sh\ngleam add dedent\n```\n\n```gleam\nimport gleam/io\nimport dedent.{dedent}\n\npub fn main() {\n  &quot;\n  I am at level one\n\n    * level two\n    - level two\n      - level three\n\n  &gt; That&#39;s it!\n  &quot;\n  |&gt; dedent\n  |&gt; io.println\n}\n```\n\nResult:\n\n```gleam\n&quot;I am at level one\n\n  * level two\n  - level two\n    - level three\n\n&gt; That&#39;s it!&quot;\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/dedent&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"dedent","title":"dedent","content":"pub fn dedent(text: String) -&gt; String\n Remove shared indentation from each line of the given string. Leading and\n trailing whitespace is also removed.\n\n \n dedent(\n   &quot;\n   I am at level one\n\n     * level two\n     - level two\n       - level three\n\n   &gt; That&#39;s it!\n   &quot;,\n )\n\n // Results in:\n\n &quot;I am at level one\n\n   * level two\n   - level two\n     - level three\n\n &gt; That&#39;s it!&quot;\n \n\nSynonyms:\ndedent.dedent\ndedent dedent","url":"dedent.html#dedent"},{"doc":"dedent","title":"dedent","content":"","url":"dedent.html"}]);